/*
 * toglimg.h
 *
 * Copyright (C) 2001,2002 Tadamasa Teranishi
 */

#ifndef TOGL_IMG_HEADER
#define	TOGL_IMG_HEADER

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifdef	WIN32
# include <windows.h>

#pragma warning(disable : 4244)     // MIPS
#pragma warning(disable : 4136)     // X86
#pragma warning(disable : 4051)     // ALPHA

#define _LITTLE_ENDIAN				// Intel CPU
#endif	/* WIN32 */

#include <GL/gl.h>
#include <GL/glu.h>

#define TOGL_VERSION_IMAGE		"1.02"

typedef struct {
	unsigned char	*m_buffer;
	int		m_width, m_height;
	int		m_components;
	int		dummy[16];
} TOGLimage;


extern void toglInitImage(TOGLimage *img);
extern GLboolean toglAllocImage(TOGLimage *img);
extern void toglDeleteImage(TOGLimage *img);

/* Version 1.02 */
extern void toglChangeEndiansv(GLshort *data);
extern void toglChangeEndianiv(GLint *data);
extern void toglChangeEndianusv(GLushort *data);
extern void toglChangeEndianuiv(GLuint *data);
extern GLboolean toglCheckExtension(char filename[], char *Ext);

#include "toglimgpng.h"

#endif	/* TOGL_IMG_HEADER */
